> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Yellowcard integration.

> Create Yellowcard integration to configure the connection of Identity with the Yellowcard Wallet.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/yellowcard
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/yellowcard:
    put:
      tags:
        - Integrations Config
      summary: Setup Yellowcard integration.
      description: >-
        Create Yellowcard integration to configure the connection of Identity
        with the Yellowcard Wallet.
      operationId: IntegrationsConfigController_setupYellowcardIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/YellowcardSetupDto'
      responses:
        '202':
          description: Organization Yellowcard integration data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigEntity'
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    YellowcardSetupDto:
      type: object
      properties:
        apiKey:
          type: string
          description: The Yellowcard API key for authentication.
          example: hKaAodQNLK
        apiSecret:
          type: string
          description: The Yellowcard API secret for authentication.
          example: ad0b2a2190dde067f3fd5a523f1c2aen
        omnibusAddresses:
          description: Optional omnibus addresses grouped by blockchain network.
          allOf:
            - $ref: '#/components/schemas/YellowcardOmnibusAddressesDto'
      required:
        - apiKey
        - apiSecret
    IntegrationConfigEntity:
      type: object
      properties:
        provider:
          type: string
        integrationNetworkAddresses:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNetworkAddressEntity'
      required:
        - provider
    YellowcardOmnibusAddressesDto:
      type: object
      properties:
        evm:
          type: string
          description: >-
            Omnibus address for EVM-compatible networks
            (BASE/ERC20/CELO/POLYGON).
          example: '0x1234567890abcdef1234567890abcdef12345678'
        solana:
          type: string
          description: Omnibus address for the Solana network.
          example: 4kzKf7p83nXq5VK92K9YfSsfSqsCim29s3VAmxyz123
        tron:
          type: string
          description: Omnibus address for the Tron (TRC20) network.
          example: TQ9n1Muf6pZL4e1DqYNo8v5yRk6VxVQ2Q3
    IntegrationNetworkAddressEntity:
      type: object
      properties:
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
        address:
          type: string
      required:
        - network
        - address
    NetworkId:
      type: string
      enum:
        - POLYGON
        - ETHEREUM
        - TRON
        - BASE
        - OPTIMISM
        - BITCOIN
        - SOLANA
        - CELO
      description: The network this refund address belongs to.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````